Subject: [PATCH] Boottime: A tool for automatic measurement of kernel/bootloader boot time

From: [email-masked] (Dan Murphy)
Date: Fri, 12 Oct 2012 11:36:57 -0500

On 10/12/2012 09:01 AM, Lee Jones wrote:
> On Fri, 12 Oct 2012, Arnd Bergmann wrote:
>
>> On Friday 12 October 2012, Russell King - ARM Linux wrote:
>>>> root at ME:/ cat /sys/kernel/debug/boottime/bootgraph
>>>> [    0.185254] calling  splash+0x0/0x0
>>>> [    2.984335] initcall splash+0x0/0x0 returned 0 after 2799 msecs.
>>>> [    2.984335] calling  autoboot_delay+0x0/0x0
>>>> [    4.089513] initcall autoboot_delay+0x0/0x0 returned 0 after 1105 msecs.
>>>> [    4.089513] calling  load_kernel+0x0/0x0
>>>> [    4.239174] initcall load_kernel+0x0/0x0 returned 0 after 149 msecs.
>>>> [    4.239174] calling  boot_kernel+0x0/0x0
>>>> [    4.276260] initcall boot_kernel+0x0/0x0 returned 0 after 37 msecs.
>>>> [    4.276260] calling  uncompress_ll_init+0x0/0x0
>>>> [    4.276260] initcall uncompress_ll_init+0x0/0x0 returned 0 after 0 msecs.
>>>> [    4.276260] Freeing init memory: 0K
>>> Umm, what happened to sysfs not becoming procfs v2?  I thought we had
>>> a fairly strict requirement for "one value per file and not nicely
>>> formatted" for sysfs?
>>>
>> I was thinking the same thing at first, but then I noticed it's actually
>> debugfs, which has no such rules.
> Right. :)
>
OK I don't see when boottime_activate is called.

Where would this call actually be made from?

I see the call to deactivate but no call to activate.

Dan